LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XContainerApproveBroadcaster Interface Reference

allows containers to implement a vetoing mechanism for insertion, removal, and replacement of their elements. More...

`import <XContainerApproveBroadcaster.idl;`

## Public Member Functions
void | addContainerApproveListener ([in] XContainerApproveListener Listener)
| adds a listener which can veto changes in the container's content
void | removeContainerApproveListener ([in] XContainerApproveListener Listener)
| removes a previously added listener

## Detailed Description

allows containers to implement a vetoing mechanism for insertion, removal, and replacement of their elements.

## Member Function Documentation

## ◆ addContainerApproveListener()

void addContainerApproveListener | ( | [in] XContainerApproveListener | Listener | ) |

adds a listener which can veto changes in the container's content

## ◆ removeContainerApproveListener()

void removeContainerApproveListener | ( | [in] XContainerApproveListener | Listener | ) |

removes a previously added listener

The documentation for this interface was generated from the following file:

- com/sun/star/container/XContainerApproveBroadcaster.idl